Skip to content
Docs

Import a skill from GitHub

POST
/api/workspaces/{ws}/skills/import

url is a public GitHub folder holding a SKILL.md.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

Request Body

application/json
  1. body
url*string
Length1 <= length <= 2000

Response Body

The skill.

Example Request
curl -X POST 'https://app.useroster.work/api/workspaces/string/skills/import' \  -H 'Content-Type: application/json' \  -d '{  "url": "string"}'
Example Response
Empty